Bug 126826 - Task Color Problems
Task Color Problems
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
Depends On:
  Show dependency treegraph
Reported: 2004-06-27 21:50 EDT by Ivan Gyurdiev
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-24 19:45:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2004-06-27 21:50:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040518 Firefox/0.8

Description of problem:
There are two problems with the task colors.

1) The default background colors are light and very nice. However,
the task group labels are also colored in those colors... and that is
a problem since this is foreground text. Using a light background
color for foreground text is completely unreadable and I can't see

2) The tasks are displayed in the calendar. I haven't been able to
figure out why that is yet - imho they shouldn't be, but maybe there's
some hidden purpose which I haven't discovered yet. Anyway, the bug is
that the task colors in the calendar remain the same even after the
task colors for different groups in the tasks section are changed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. See Summary

Additional info:
Comment 1 Ivan Gyurdiev 2004-06-27 22:39:01 EDT
3) When changing the task colors, the tasks are not properly
recolered, but only a rectangle of a fixed size over the tasks is
colored with the new color. The rest is recolored after unchecking the
task group and checking it again... or after opening another evolution
component and switching to tasks again.
Comment 2 Ivan Gyurdiev 2004-07-21 17:10:17 EDT

1) is fixed - I like it

2: I still don't see what the tasks are doing along with the calendar,
but anyway. Now the tasks colors in the calendar update in sync with
the  separate tasks section, but only the first time. Updating a
second time only updates the tasks in the tasks section. Furthermore
changing colors more than once per session does not save the changes.
Upon restarting only the first change was recorded.

3) Is still broken as described. To be clear, when the tasks being
recolored are not on screen (for example you need to scroll down),
everything works as it should. However when they are on-screen at the
moment when you recolor them a rectangle of a certain size is
recolored but not the entire area covered by the tasks. 
Comment 3 Ivan Gyurdiev 2004-08-16 00:49:22 EDT

No change.
Comment 4 Ivan Gyurdiev 2004-11-24 19:45:19 EST
Too many things going on here, and 
those bugs are so ancient.

Closing, will file bugs I care about upstream.

Note You need to log in before you can comment on or make changes to this bug.